## cambalache 0.94.1

=== Makefile ===
repo: ar.xjuan.Cambalache.json .git/objects
	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
	flatpak install --noninteractive --user flathub org.gnome.Sdk//47
	flatpak install --noninteractive --user flathub org.gnome.Platform//47
	flatpak-builder --force-clean --repo=repo build ar.xjuan.Cambalache.json

cambalache.flatpak: repo
	flatpak build-bundle repo cambalache.flatpak ar.xjuan.Cambalache

.PHONY: install clean veryclean

install: cambalache.flatpak
	flatpak install --user cambalache.flatpak

clean:
	rm -rf repo cambalache.flatpak

veryclean: clean
	rm -rf .flatpak-builder

=== catalogs/Makefile ===
CMB_CATALOG_GEN=flatpak run --devel \
	--command=cmb-catalog-gen \
	ar.xjuan.Cambalache

# CMB_CATALOG_GEN=../run-cmb-catalog-gen.sh

BASE_CATALOG_FILES = \
	glib/gobject-2.0.xml \
	glib/gio-2.0.xml \
	gdkpixbuf/gdkpixbuf-2.0.xml \
	pango/pango-1.0.xml

GTK3_DEPS = \
	${BASE_CATALOG_FILES} \
	atk/atk-1.0.xml \
	gtk/gdk-3.0.xml

GTK4_DEPS = \
	${BASE_CATALOG_FILES} \
	gtk/gdk-4.0.xml \
	gtk/gsk-4.0.xml

CATALOG_FILES = \
	${BASE_CATALOG_FILES} \
	${GTK3_DEPS} \
	${GTK4_DEPS} \
	gtk/gtk-4.0.xml \
	gtk/gtk+-3.0.xml \
	gnome/webkitgtk-6.0.xml \
	gnome/webkit2gtk-4.1.xml \
	gnome/libhandy-1.xml \
	gnome/libadwaita-1.xml \
	$(NULL)


all: ${CATALOG_FILES}

glib/gobject-2.0.xml: glib/GObject.xml
	${CMB_CATALOG_GEN} \
		--gir /usr/share/gir-1.0/GObject-2.0.gir \
		--types GObject GBinding GBindingFlags \
		--boxed-types GStrv GBytes\
		--extra-data glib/GObject.xml \
		--skip-types GBinding \
		--output $@

glib/gio-2.0.xml: glib/Gio.xml
	${CMB_CATALOG_GEN} \
		--dependencies gobject-2.0 \
		--gir /usr/share/gir-1.0/Gio-2.0.gir \
		--types GFile GListStore GListModel GMenuModel \
		--extra-data glib/Gio.xml \
		--exclude-objects \
		--output $@

gdkpixbuf/gdkpixbuf-2.0.xml:
	${CMB_CATALOG_GEN} \
		--dependencies gio-2.0 \
		--gir /usr/share/gir-1.0/GdkPixbuf-2.0.gir \
		--types GdkPixbuf \
		--exclude-objects \
		--output $@

pango/pango-1.0.xml:
	${CMB_CATALOG_GEN} \
		--dependencies gio-2.0 \
		--gir /usr/share/gir-1.0/Pango-1.0.gir \
		--exclude-objects \
		--output $@

atk/atk-1.0.xml:
	${CMB_CATALOG_GEN} \
		--dependencies gobject-2.0 \
		--gir /usr/share/gir-1.0/Atk-1.0.gir \
		--types AtkObject \
		--exclude-objects \
		--extra-data atk/Atk.xml \
		--output $@

gtk/gdk-3.0.xml:
	${CMB_CATALOG_GEN} \
		--dependencies pango-1.0 gdkpixbuf-2.0 \
		--gir /usr/share/gir-1.0/Gdk-3.0.gir \
		--boxed-types GdkColor GdkRGBA \
		--exclude-objects \
		--output $@

gtk/gdk-4.0.xml:
	${CMB_CATALOG_GEN} \
		--target-gtk4 \
		--dependencies pango-1.0 gdkpixbuf-2.0 \
		--gir /usr/share/gir-1.0/Gdk-4.0.gir \
		--boxed-types GdkRGBA GdkContentFormats\
		--exclude-objects \
		--output $@

gtk/gsk-4.0.xml:
	${CMB_CATALOG_GEN} \
		--target-gtk4 \
		--dependencies pango-1.0 gdkpixbuf-2.0 \
		--gir /usr/share/gir-1.0/Gsk-4.0.gir \
		--boxed-types GskTransform \
		--exclude-objects \
		--output $@

gtk/gtk+-3.0.xml: gtk/Gtk.xml ${GTK3_DEPS}
	${CMB_CATALOG_GEN} \
		--dependencies atk-1.0 gdk-3.0 \
		--gir /usr/share/gir-1.0/Gtk-3.0.gir \
		--external-catalogs ${GTK3_DEPS} \
		--extra-data gtk/Gtk.xml \
		--output $@

gtk/gtk-4.0.xml: gtk/Gtk.xml ${GTK4_DEPS}
	${CMB_CATALOG_GEN} \
		--target-gtk4 \
		--dependencies gdk-4.0 gsk-4.0 \
		--gir /usr/share/gir-1.0/Gtk-4.0.gir \
		--external-catalogs ${GTK4_DEPS} \
		--extra-data gtk/Gtk.xml \
		--skip-types GtkActivateAction GtkMnemonicAction GtkNamedAction GtkNeverTrigger GtkNothingAction GtkSignalAction GtkPrintJob GtkStackPage \
		--output $@ && true

gnome/libhandy-1.xml: gtk/gtk+-3.0.xml
	${CMB_CATALOG_GEN} \
		--dependencies gtk+-3.0 \
		--gir /usr/share/gir-1.0/Handy-1.gir \
		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
		--extra-data gnome/Handy.xml \
		--skip-types HdySwipeTracker HdyValueObject \
		--output $@

gnome/webkit2gtk-4.1.xml: gtk/gtk+-3.0.xml
	${CMB_CATALOG_GEN} \
		--dependencies gtk+-3.0 \
		--gir /usr/share/gir-1.0/WebKit2-4.1.gir \
		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
		--types WebKitWebViewBase WebKitWebView WebKitSettings WebKitWebContext \
		--extra-data gnome/WebKit2.xml \
		--skip-types WebKitWebViewBase \
		--output $@

gnome/libadwaita-1.xml: gtk/gtk-4.0.xml
	${CMB_CATALOG_GEN} \
		--target-gtk4 \
		--dependencies gtk-4.0 \
		--gir /usr/share/gir-1.0/Adw-1.gir \
		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \
		--extra-data gnome/Adwaita.xml \
		--skip-types AdwAnimation AdwSwipeTracker AdwPropertyAnimationTarget \
		--output $@

gnome/webkitgtk-6.0.xml: gtk/gtk-4.0.xml
	${CMB_CATALOG_GEN} \
		--target-gtk4 \
		--dependencies gtk-4.0 \
		--gir /usr/share/gir-1.0/WebKit-6.0.gir \
		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \
		--types WebKitWebViewBase WebKitWebView WebKitSettings WebKitWebContext \
		--extra-data gnome/WebKit2.xml \
		--skip-types WebKitWebViewBase \
		--output $@

.PHONY: all clean

clean:
	rm -rf ${CATALOG_FILES}

=== debian/changelog ===
cambalache (0.94.1-2) unstable; urgency=medium

  * Install all files in single binary package (Closes: #1095742) 
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Tue, 11 Feb 2025 18:50:53 +0200

cambalache (0.94.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1084792)

 -- Jonathan Carter <jcc@debian.org>  Tue, 07 Jan 2025 12:34:46 +0200

=== debian/control ===
Source: cambalache
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               appstream,
	       cmake,
	       desktop-file-utils,
               libadwaita-1-dev,
               libcasilda-dev,
               libgtk-3-dev,
               libgtk-4-dev,
	       libgtk-3-bin,
	       libgtk-4-bin,
               libgtksourceview-5-dev,
               libhandy-1-dev,
               libwebkit2gtk-4.1-dev,
               libwebkitgtk-6.0-dev,
	       libwlroots-0.18,
	       libwlroots-0.18-dev,
	       libwayland-client0,
	       libxkbcommon-x11-dev,
	       gobject-introspection,
               meson,
               ninja-build,
               python-gi-dev,
	       python3,
               python3-dev,
               python3-lxml
Standards-Version: 4.7.1
Homepage: https://gitlab.gnome.org/jpu/cambalache.git
Vcs-Browser: https://salsa.debian.org/debian/cambalache
Vcs-Git: https://salsa.debian.org/debian/cambalache.git

Package: cambalache
Breaks: gir1.2-cambalacheprivate-4.0,
        gir1.2-cambalacheprivate-4.0-dev,
        gir1.2-cambalacheprivate-3.0,
        gir1.2-cambalacheprivate-3.0-dev,
	gir1.2-cmbcatalogutils-3.0,
	gir1.2-cmbcatalogutils-3.0-dev,
	gir1.2-cmbcatalogutils-4.0,
	gir1.2-cmbcatalogutils-4.0-dev,
	libcambalacheprivate-3,
	libcambalacheprivate-4,
	libcmbcatalogutils-3,
	libcmbcatalogutils-4
Replaces: gir1.2-cambalacheprivate-4.0,
          gir1.2-cambalacheprivate-4.0-dev,
          gir1.2-cambalacheprivate-3.0,
          gir1.2-cambalacheprivate-3.0-dev,
          gir1.2-cmbcatalogutils-3.0,
          gir1.2-cmbcatalogutils-3.0-dev,
          gir1.2-cmbcatalogutils-4.0,
          gir1.2-cmbcatalogutils-4.0-dev,
          libcambalacheprivate-3,
          libcambalacheprivate-4,
          libcmbcatalogutils-3,
          libcmbcatalogutils-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         python3
Description: User Interface builder for Gtk4 
 RAD tool for Gtk 4 and 3 with a clear MVC design
 and data model first philosophy.
 .
 Cambalache aims to be a modern tool for building
 Gtk+ interfaces.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	mkdir _build
	meson setup --prefix=/usr _build
	meson compile -C _build
	meson install --destdir usr -C _build
	rm -rf _build/usr/usr/lib/python3/dist-packages/cambalache/app/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/control/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_adw/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_gtk/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_handy/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_webkit/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/priv/merengue/mrg_webkit2/__pycache__ \
	       _build/usr/usr/lib/python3/dist-packages/cmb_catalog_gen/__pycache__/ \
	       _build/usr/usr/lib/python3/dist-packages/cambalache/__pycache__/
	cp -r _build/usr/usr .

override_dh_auto_install:


override_dh_clean:
	rm -rf _build usr

## cambalache 0.96.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 repo: ar.xjuan.Cambalache.json .git/objects
 	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
-	flatpak install --noninteractive --user flathub org.gnome.Sdk//47
-	flatpak install --noninteractive --user flathub org.gnome.Platform//47
+	flatpak install --noninteractive --user flathub org.gnome.Sdk//48
+	flatpak install --noninteractive --user flathub org.gnome.Platform//48
 	flatpak-builder --force-clean --repo=repo build ar.xjuan.Cambalache.json
 
 cambalache.flatpak: repo

=== debian/changelog ===
cambalache (0.96.0-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #1103986) 
  * Add python-gi-dev as build-dependency
  * Add python3-gi as dependency

 -- Jonathan Carter <jcc@debian.org>  Fri, 25 Apr 2025 11:13:02 +0200

cambalache (0.94.1-3) unstable; urgency=medium

  * Use pybuild, build-depend on dh-python, use ${python3:Depends} 
  * Add additional required dependencies (Closes #1095742):
    - gir1.2-gtksource-5
    - gir1.2-webkit-6.0
    - gir1.2-casilda-0.1
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Fri, 28 Mar 2025 15:32:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
+	       dh-python,
                appstream,
 	       cmake,
 	       desktop-file-utils,
@@ -15,6 +16,7 @@
 	       libgtk-3-bin,
 	       libgtk-4-bin,
                libgtksourceview-5-dev,
+	       python-gi-dev (>=3.52),
                libhandy-1-dev,
                libwebkit2gtk-4.1-dev,
                libwebkitgtk-6.0-dev,
@@ -29,7 +31,7 @@
 	       python3,
                python3-dev,
                python3-lxml
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/jpu/cambalache.git
 Vcs-Browser: https://salsa.debian.org/debian/cambalache
 Vcs-Git: https://salsa.debian.org/debian/cambalache.git
@@ -60,8 +62,12 @@
           libcmbcatalogutils-3,
           libcmbcatalogutils-4
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         python3
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+         python3,
+	 python3-gi (>=3.52),
+	 gir1.2-gtksource-5,
+	 gir1.2-webkit-6.0,
+	 gir1.2-casilda-0.1
 Description: User Interface builder for Gtk4 
  RAD tool for Gtk 4 and 3 with a clear MVC design
  and data model first philosophy.

## cambalache 0.97.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,22 @@
+cambalache.flatpak: repo
+	flatpak build-bundle repo $@ ar.xjuan.Cambalache
+
 repo: ar.xjuan.Cambalache.json .git/objects
 	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
 	flatpak install --noninteractive --user flathub org.gnome.Sdk//48
 	flatpak install --noninteractive --user flathub org.gnome.Platform//48
 	flatpak-builder --force-clean --repo=repo build ar.xjuan.Cambalache.json
 
-cambalache.flatpak: repo
-	flatpak build-bundle repo cambalache.flatpak ar.xjuan.Cambalache
+
+cambalache_arm.flatpak: repo_arm
+	flatpak build-bundle --arch=aarch64 repo $@ ar.xjuan.Cambalache
+
+repo_arm: ar.xjuan.Cambalache.json .git/objects
+	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
+	flatpak install --noninteractive --user flathub org.gnome.Sdk/aarch64/48
+	flatpak install --noninteractive --user flathub org.gnome.Platform/aarch64/48
+	flatpak-builder --arch=aarch64 --force-clean --repo=repo build ar.xjuan.Cambalache.json
+
 
 .PHONY: install clean veryclean

=== catalogs/Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
 CMB_CATALOG_GEN=flatpak run --devel \
 	--command=cmb-catalog-gen \
 	ar.xjuan.Cambalache
-
-# CMB_CATALOG_GEN=../run-cmb-catalog-gen.sh
 
 BASE_CATALOG_FILES = \
 	glib/gobject-2.0.xml \

=== po/Makefile ===
FILES=\
    data/ar.xjuan.Cambalache.metainfo.xml.in \
    data/ar.xjuan.Cambalache.desktop.in \
    $(NULL)

PYTHON_FILES=$(shell find ../cambalache/ -name "*.py")
UI_FILES=$(shell find ../cambalache/ -name "*.ui")


cambalache.pot: POTFILES ../_build/.ninja_log
	meson compile -C ../_build/ cambalache-update-po

POTFILES: ${PYTHON_FILES} ${UI_FILES}
	@ echo Generating $@
	@ python3 filter_translatable.py ${FILES} ${PYTHON_FILES} ${UI_FILES} > $@

../_build/.ninja_log:
	cd .. && meson setup --wipe --prefix=~/.local _build .

.PHONY: clean

clean:
	rm -f POTFILES

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.gnome.org/jpu/cambalache/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/cambalache-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## cambalache 0.99.4

=== catalogs/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 CMB_CATALOG_GEN=flatpak run --devel \
 	--command=cmb-catalog-gen \
 	ar.xjuan.Cambalache
+
+# Uncomment to run with local copy
+# CMB_CATALOG_GEN=PYTHONPATH=../tools/ ../.local/bin/cmb-catalog-gen
 
 BASE_CATALOG_FILES = \
 	glib/gobject-2.0.xml \
@@ -77,6 +80,7 @@
 
 gtk/gdk-3.0.xml:
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gdk-3.0.gir \
 		--boxed-types GdkColor GdkRGBA \
@@ -85,16 +89,17 @@
 
 gtk/gdk-4.0.xml:
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gdk-4.0.gir \
 		--boxed-types GdkRGBA GdkContentFormats\
+		--types GdkPaintable \
 		--exclude-objects \
 		--output $@
 
 gtk/gsk-4.0.xml:
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gsk-4.0.gir \
 		--boxed-types GskTransform \
@@ -103,6 +108,7 @@
 
 gtk/gtk+-3.0.xml: gtk/Gtk.xml ${GTK3_DEPS}
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies atk-1.0 gdk-3.0 \
 		--gir /usr/share/gir-1.0/Gtk-3.0.gir \
 		--external-catalogs ${GTK3_DEPS} \
@@ -111,7 +117,7 @@
 
 gtk/gtk-4.0.xml: gtk/Gtk.xml ${GTK4_DEPS}
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gdk-4.0 gsk-4.0 \
 		--gir /usr/share/gir-1.0/Gtk-4.0.gir \
 		--external-catalogs ${GTK4_DEPS} \
@@ -121,6 +127,7 @@
 
 gnome/libhandy-1.xml: gtk/gtk+-3.0.xml
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies gtk+-3.0 \
 		--gir /usr/share/gir-1.0/Handy-1.gir \
 		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
@@ -130,6 +137,7 @@
 
 gnome/webkit2gtk-4.1.xml: gtk/gtk+-3.0.xml
 	${CMB_CATALOG_GEN} \
+		--gtk-version=3 \
 		--dependencies gtk+-3.0 \
 		--gir /usr/share/gir-1.0/WebKit2-4.1.gir \
 		--external-catalogs ${GTK3_DEPS} gtk/gtk+-3.0.xml \
@@ -140,17 +148,17 @@
 
 gnome/libadwaita-1.xml: gtk/gtk-4.0.xml
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gtk-4.0 \
 		--gir /usr/share/gir-1.0/Adw-1.gir \
 		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \
 		--extra-data gnome/Adwaita.xml \
-		--skip-types AdwAnimation AdwSwipeTracker AdwPropertyAnimationTarget \
+		--skip-types AdwAnimation \
 		--output $@
 
 gnome/webkitgtk-6.0.xml: gtk/gtk-4.0.xml
 	${CMB_CATALOG_GEN} \
-		--target-gtk4 \
+		--gtk-version=4 \
 		--dependencies gtk-4.0 \
 		--gir /usr/share/gir-1.0/WebKit-6.0.gir \
 		--external-catalogs ${GTK4_DEPS} gtk/gtk-4.0.xml \

=== debian/changelog ===
cambalache (0.99.4-1build1) resolute; urgency=medium

  * Rebuild

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 11:27:42 -0500

cambalache (0.99.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1120110)
  * Add python3-lxml as dependency for cambalache (Closes: #1111456) 

 -- Jonathan Carter <jcc@debian.org>  Sun, 30 Nov 2025 12:46:15 +0200

cambalache (0.99.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Oct 2025 12:25:53 +0200

cambalache (0.97.7-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Bump dependency gir1.2-casilda-0.1 to gir1.2-casilda-0.2
  * Add dependencies: gir1.2-adw-1, libadwaita-1-0
    (Closes: #1110742)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 14:09:02 +0200

## cambalache 0.99.8

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 repo: ar.xjuan.Cambalache.json .git/objects
 	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
-	flatpak install --noninteractive --user flathub org.gnome.Sdk//48
-	flatpak install --noninteractive --user flathub org.gnome.Platform//48
+	flatpak install --noninteractive --user flathub org.gnome.Sdk//49
+	flatpak install --noninteractive --user flathub org.gnome.Platform//49
 	flatpak-builder --force-clean --repo=repo build ar.xjuan.Cambalache.json
 
 
@@ -13,8 +13,8 @@
 
 repo_arm: ar.xjuan.Cambalache.json .git/objects
 	flatpak remote-add --user --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
-	flatpak install --noninteractive --user flathub org.gnome.Sdk/aarch64/48
-	flatpak install --noninteractive --user flathub org.gnome.Platform/aarch64/48
+	flatpak install --noninteractive --user flathub org.gnome.Sdk/aarch64/49
+	flatpak install --noninteractive --user flathub org.gnome.Platform/aarch64/49
 	flatpak-builder --arch=aarch64 --force-clean --repo=repo build ar.xjuan.Cambalache.json

=== catalogs/Makefile ===
--- 
+++ 
@@ -49,7 +49,8 @@
 	${CMB_CATALOG_GEN} \
 		--dependencies gobject-2.0 \
 		--gir /usr/share/gir-1.0/Gio-2.0.gir \
-		--types GFile GListStore GListModel GMenuModel \
+		--types GFile GListStore GListModel GMenuModel GIcon GBytesIcon GEmblem GEmblemedIcon GFileIcon GThemedIcon \
+		--skip-types GFileIcon \
 		--extra-data glib/Gio.xml \
 		--exclude-objects \
 		--output $@
@@ -66,6 +67,7 @@
 	${CMB_CATALOG_GEN} \
 		--dependencies gio-2.0 \
 		--gir /usr/share/gir-1.0/Pango-1.0.gir \
+		--boxed-types PangoAttrList \
 		--exclude-objects \
 		--output $@
 
@@ -93,7 +95,8 @@
 		--dependencies pango-1.0 gdkpixbuf-2.0 \
 		--gir /usr/share/gir-1.0/Gdk-4.0.gir \
 		--boxed-types GdkRGBA GdkContentFormats\
-		--types GdkPaintable \
+		--types GdkTexture GdkPaintable GdkCursor \
+		--skip-types GdkTexture \
 		--exclude-objects \
 		--output $@

=== debian/control ===
--- 
+++ 
@@ -65,9 +65,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
          python3,
 	 python3-gi (>=3.52),
+	 python3-lxml,
+	 libadwaita-1-0,
+	 gir1.2-adw-1,
 	 gir1.2-gtksource-5,
 	 gir1.2-webkit-6.0,
-	 gir1.2-casilda-0.1
+	 gir1.2-casilda-1.0
 Description: User Interface builder for Gtk4 
  RAD tool for Gtk 4 and 3 with a clear MVC design
  and data model first philosophy.
